TARGET=dwelling-home

SYSDDIR_=${shell pkg-config systemd --variable=systemdsystemunitdir}
SYSDDIR=${SYSDDIR_:/%=%}
DESTDIR=/

VERSION=23.22.0

LDFLAGS=-ldflags "-s -w -X main.version=${VERSION}" -tags osusergo,netgo

all: web/*.pug.go ${TARGET}

.PHONY: ${TARGET}

${TARGET}:
	go build -o bin/$@ ${LDFLAGS} cmd/$@/main.go

web/*.pug.go: web/templates/*.pug
	go install github.com/Joker/jade/cmd/jade@latest
	go generate web/web.go

run:
	bin/${TARGET} -l 127.0.0.1:18123 -db . -ce 10m -gbo Arav -gbp 10

install:
	install -Dm 0755 bin/${TARGET} ${DESTDIR}usr/bin/${TARGET}
	install -Dm 0644 init/systemd.service ${DESTDIR}${SYSDDIR}/${TARGET}.service

uninstall:
	rm ${DESTDIR}usr/bin/${TARGET}
	rm ${DESTDIR}${SYSDDIR}/${TARGET}.service

clean:
	rm -f bin/${TARGET}
	rm -f web/*.pug.go web/jade.go